Repositories for supported Debian, Raspbian, and Ubuntu releases

Users and developers helping users with generic and technical Pale Moon issues on all operating systems.

Moderator: trava90

Forum rules
This board is for technical/general usage questions and troubleshooting for the Pale Moon browser only.
Technical issues and questions not related to the Pale Moon browser should be posted in other boards!
Please keep off-topic and general discussion out of this board, thank you!
User avatar
stevepusser
Project Contributor
Project Contributor
Posts: 841
Joined: 2015-08-01, 18:33
Location: California

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by stevepusser » 2022-09-28, 23:41

Ubuntu 21.10 has been removed, long live 22.04! :clap:

31.3.0.1 builds are finishing up.
Avatar is my photo of a female coyote that is still in my neighborhood as of Oct 2022.
They know me, so I'm able to approach and get some nice photos. They have one
surviving pup this year, most get hit by cars, and this one is learning I'm a nice guy.

User avatar
Pentium4User
Keeps coming back
Keeps coming back
Posts: 889
Joined: 2019-04-24, 09:38

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Pentium4User » 2022-09-29, 07:13

It seems that 31.3.0-1.gtk2 completely breaks audio. Is it possible to still provide older versions in the repo or on an archive (maybe temporarily on the PM ftp server)?

EDIT: It only affects WebAudio: viewtopic.php?f=70&t=28898
Last edited by Pentium4User on 2022-09-29, 11:14, edited 1 time in total.
I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
Night Wing
Knows the dark side
Knows the dark side
Posts: 4779
Joined: 2011-10-03, 10:19
Location: Piney Woods of Southeast Texas, USA

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Night Wing » 2022-09-29, 11:04

Off-topic:
@ Pentium4User

I'm going to make this post off topic.

I use and prefer GTK2 and I have no problems with audio in (31.3.0.1). But I do not use Steve's builds for linux Pale Moon. I get my new Pale Moon releases at the link below which offers both GTK2 and GTK3.

Could you possibly use the newest GTK2 Pale Moon build at this link instead?

http://linux.palemoon.org/download/mainline/
Linux Mint 21 (Vanessa) Xfce With Linux Pale Moon, Linux Waterfox, Linux Firefox
MX Linux 21.2.1 (Wildflower) Xfce With Linux Pale Moon, Linux Waterfox, Linux Firefox

User avatar
stevepusser
Project Contributor
Project Contributor
Posts: 841
Joined: 2015-08-01, 18:33
Location: California

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by stevepusser » 2022-09-29, 20:59

I've also got the new 31.3.0.1 bugfix release built in the OBS repos now, so would appreciate a test of that one.

I could probably get the older source tarballs from our own MX repo master and set up a separate OBS repo for older versions, but they would certainly be insecure. The preferred solution would be to find a fix for the current release.

I still have an ancient repo for 26.5.0 that I haven't gotten around to deleting yet, for example: https://build.opensuse.org/package/show ... 0/palemoon

though I will in the next few days--it's just bad manners not to clean up your freely provided space on the OBS.
Avatar is my photo of a female coyote that is still in my neighborhood as of Oct 2022.
They know me, so I'm able to approach and get some nice photos. They have one
surviving pup this year, most get hit by cars, and this one is learning I'm a nice guy.

User avatar
Pentium4User
Keeps coming back
Keeps coming back
Posts: 889
Joined: 2019-04-24, 09:38

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Pentium4User » 2022-09-30, 05:31

stevepusser wrote:
2022-09-29, 20:59
I've also got the new 31.3.0.1 bugfix release built in the OBS repos now, so would appreciate a test of that one.
I could probably get the older source tarballs from our own MX repo master and set up a separate OBS repo for older versions, but they would certainly be insecure. The preferred solution would be to find a fix for the current release.
31.3.0.1 doesn't fix the problem. It is possible to offer different version in a repository, you can specify the version with apt if needed, if not specified, the latest version will be used.

It would be helpful for some users if older versions are still available if the latest doesn't work.
I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
stevepusser
Project Contributor
Project Contributor
Posts: 841
Joined: 2015-08-01, 18:33
Location: California

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by stevepusser » 2022-10-01, 21:22

I don't if it's possible for the OBS to host multiple versions in one of its repos, though. I'll have to go look at some other repos there to see if they're trying that "one simple trick".

Can you test the version directly from Pale Moon to see if it works? You just have to download and extract the archive, then run the executable...unless you're running 32-bit?

Edit: I tried the 64-bit version from Pale Moon, and it also seems to get locked up by that .nl SDR radio site, and I have to "killall palemoon" to kill the zombie process even after the GUI is closed. Sound does work in yewtu.be and other sites I tried, until the SDR site is visited. I also see no error messages when it's started from the terminal.
Avatar is my photo of a female coyote that is still in my neighborhood as of Oct 2022.
They know me, so I'm able to approach and get some nice photos. They have one
surviving pup this year, most get hit by cars, and this one is learning I'm a nice guy.

User avatar
Pentium4User
Keeps coming back
Keeps coming back
Posts: 889
Joined: 2019-04-24, 09:38

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Pentium4User » 2022-10-02, 03:37

stevepusser wrote:
2022-10-01, 21:22
Edit: I tried the 64-bit version from Pale Moon, and it also seems to get locked up by that .nl SDR radio site, and I have to "killall palemoon" to kill the zombie process even after the GUI is closed. Sound does work in yewtu.be and other sites I tried, until the SDR site is visited. I also see no error messages when it's started from the terminal.
Exactly. I now use an older tarball, the archive.palemoon.org server now includes older Linux tarballs too.
The error completely affects WebAudio. not only this SDR site.
I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
stevepusser
Project Contributor
Project Contributor
Posts: 841
Joined: 2015-08-01, 18:33
Location: California

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by stevepusser » 2022-10-03, 20:32

Pentium4User wrote:
2022-10-02, 03:37
stevepusser wrote:
2022-10-01, 21:22
Edit: I tried the 64-bit version from Pale Moon, and it also seems to get locked up by that .nl SDR radio site, and I have to "killall palemoon" to kill the zombie process even after the GUI is closed. Sound does work in yewtu.be and other sites I tried, until the SDR site is visited. I also see no error messages when it's started from the terminal.
Exactly. I now use an older tarball, the archive.palemoon.org server now includes older Linux tarballs too.
The error completely affects WebAudio. not only this SDR site.
Can you give me some other WebAudio sites to test? Yewtu.be does work at the start until the zombie lockup from SDR in my test.
Avatar is my photo of a female coyote that is still in my neighborhood as of Oct 2022.
They know me, so I'm able to approach and get some nice photos. They have one
surviving pup this year, most get hit by cars, and this one is learning I'm a nice guy.

User avatar
Pentium4User
Keeps coming back
Keeps coming back
Posts: 889
Joined: 2019-04-24, 09:38

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Pentium4User » 2022-10-04, 04:53

I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 32961
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Moonchild » 2022-10-04, 09:14

I'm sure he meant other websites that use WebAudio that aren't streaming SDR
"The best revenge is to not be like the person who wronged you." -- Marcus Aurelius
"Seek wisdom, not knowledge. Knowledge is of the past; wisdom is of the future." -- Native American proverb

User avatar
Pentium4User
Keeps coming back
Keeps coming back
Posts: 889
Joined: 2019-04-24, 09:38

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Pentium4User » 2022-10-04, 09:32

Moonchild wrote:
2022-10-04, 09:14
I'm sure he meant other websites that use WebAudio that aren't streaming SDR
I don't know any.
I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
random
Hobby Astronomer
Hobby Astronomer
Posts: 15
Joined: 2022-07-22, 06:31

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by random » 2022-10-05, 13:26

I'm not sure if it is related, but previous versions for the Raspberry (armhf) only play noise with mp3 and aac files opened in the browser.

User avatar
Pentium4User
Keeps coming back
Keeps coming back
Posts: 889
Joined: 2019-04-24, 09:38

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Pentium4User » 2022-10-13, 07:05

On Debian unstable I get this message when I try to upgrade PM (I ran apt update before):

Code: Select all

The following packages will be upgraded:
  palemoon
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 39.6 MB of archives.
After this operation, 28.7 kB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 http://download.opensuse.org/repositories/home:/stevenpusser/Debian_Unstable  palemoon 31.3.0.1-1.gtk2 [39.6 MB]
Err:1 http://download.opensuse.org/repositories/home:/stevenpusser/Debian_Unstable  palemoon 31.3.0.1-1.gtk2
  File has unexpected size (39584476 != 39588868). Mirror sync in progress? [IP: 2001:638:60f:110::1:2 80]
  Hashes of expected file:
   - SHA256:62d13184a5af417dde699be2c3ad068bbfe56e55bbdd9cdd0df784c359a0b59a
   - SHA1:415e11a4e4cb306140f34406da11fa69a9b9a37a [weak]
   - MD5Sum:e3ed6d425c88d093804a389e3026796a [weak]
   - Filesize:39588868 [weak]
E: Failed to fetch http://ftp.gwdg.de/pub/opensuse/repositories/home:/stevenpusser/Debian_Unstable/amd64/palemoon_31.3.0.1-1.gtk2_amd64.deb  File has unexpected size (39584476 != 39588868). Mirror sync in progress? [IP: 2001:638:60f:110::1:2 80]
   Hashes of expected file:
    - SHA256:62d13184a5af417dde699be2c3ad068bbfe56e55bbdd9cdd0df784c359a0b59a
    - SHA1:415e11a4e4cb306140f34406da11fa69a9b9a37a [weak]
    - MD5Sum:e3ed6d425c88d093804a389e3026796a [weak]
    - Filesize:39588868 [weak]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
m@8200cmt:~$ 

Additionally, did somebody figured out what the WebSDR problem is/was (it also affects Debian, FYI)?
I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
_freedom
New to the forum
New to the forum
Posts: 2
Joined: 2022-10-18, 23:30

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by _freedom » 2022-10-18, 23:40

Pentium4User wrote:
2022-10-13, 07:05
On Debian unstable I get this message when I try to upgrade PM (I ran apt update before):
I've been getting the same error the last few days on Debian_10 ... version number has not changed.

Code: Select all

The following packages will be upgraded:
  palemoon
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 38.7 MB of archives.
After this operation, 2048 B disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 http://download.opensuse.org/repositories/home:/stevenpusser/Debian_10  palemoon 31.3.0.1-1.gtk2 [38.7 MB]
Err:1 http://download.opensuse.org/repositories/home:/stevenpusser/Debian_10  palemoon 31.3.0.1-1.gtk2
  File has unexpected size (38741112 != 38735428). Mirror sync in progress? [IP: 91.193.113.70 80]
  Hashes of expected file:
   - SHA256:915d116dad93375a2df6b73348c7acecfda96fb5b17d0d3560a698ccf7366c45
   - SHA1:75f6768aad4dc76d0ad7bec00781c61d209ac58a [weak]
   - MD5Sum:76977c1171f4eb2d517d2c09eb75e2ac [weak]
   - Filesize:38735428 [weak]
E: Failed to fetch http://provo-mirror.opensuse.org/repositories/home:/stevenpusser/Debian_10/amd64/palemoon_31.3.0.1-1.gtk2_amd64.deb  File has unexpected size (38741112 != 38735428). Mirror sync in progress? [IP: 91.193.113.70 80]
   Hashes of expected file:
    - SHA256:915d116dad93375a2df6b73348c7acecfda96fb5b17d0d3560a698ccf7366c45
    - SHA1:75f6768aad4dc76d0ad7bec00781c61d209ac58a [weak]
    - MD5Sum:76977c1171f4eb2d517d2c09eb75e2ac [weak]
    - Filesize:38735428 [weak]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

User avatar
Pentium4User
Keeps coming back
Keeps coming back
Posts: 889
Joined: 2019-04-24, 09:38

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by Pentium4User » 2022-10-21, 16:16

Ubuntu 22.10 has been released, but the OBS repo doesn't include it yet.
I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
micwoj92
Fanatic
Fanatic
Posts: 159
Joined: 2020-12-22, 20:57

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by micwoj92 » 2022-10-21, 21:58

It usually takes a bit of time before it's supported by OBS.

User avatar
stevepusser
Project Contributor
Project Contributor
Posts: 841
Joined: 2015-08-01, 18:33
Location: California

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by stevepusser » 2022-10-21, 22:40

_freedom wrote:
2022-10-18, 23:40
Pentium4User wrote:
2022-10-13, 07:05
On Debian unstable I get this message when I try to upgrade PM (I ran apt update before):
I've been getting the same error the last few days on Debian_10 ... version number has not changed.

Code: Select all

The following packages will be upgraded:
  palemoon
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 38.7 MB of archives.
After this operation, 2048 B disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 http://download.opensuse.org/repositories/home:/stevenpusser/Debian_10  palemoon 31.3.0.1-1.gtk2 [38.7 MB]
Err:1 http://download.opensuse.org/repositories/home:/stevenpusser/Debian_10  palemoon 31.3.0.1-1.gtk2
  File has unexpected size (38741112 != 38735428). Mirror sync in progress? [IP: 91.193.113.70 80]
  Hashes of expected file:
   - SHA256:915d116dad93375a2df6b73348c7acecfda96fb5b17d0d3560a698ccf7366c45
   - SHA1:75f6768aad4dc76d0ad7bec00781c61d209ac58a [weak]
   - MD5Sum:76977c1171f4eb2d517d2c09eb75e2ac [weak]
   - Filesize:38735428 [weak]
E: Failed to fetch http://provo-mirror.opensuse.org/repositories/home:/stevenpusser/Debian_10/amd64/palemoon_31.3.0.1-1.gtk2_amd64.deb  File has unexpected size (38741112 != 38735428). Mirror sync in progress? [IP: 91.193.113.70 80]
   Hashes of expected file:
    - SHA256:915d116dad93375a2df6b73348c7acecfda96fb5b17d0d3560a698ccf7366c45
    - SHA1:75f6768aad4dc76d0ad7bec00781c61d209ac58a [weak]
    - MD5Sum:76977c1171f4eb2d517d2c09eb75e2ac [weak]
    - Filesize:38735428 [weak]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
Try cleaning the apt cache as root or with sudo to see if that helps:

Code: Select all

sudo apt clean
The packages in the repo may have been rebuilt automatically due to some update from Debian, they will have a slightly different size and hash sums, and your cached version is being compared to the rebuilt version in the repo.

I'm still waiting for 22.10 repos to appear in the OBS.
Avatar is my photo of a female coyote that is still in my neighborhood as of Oct 2022.
They know me, so I'm able to approach and get some nice photos. They have one
surviving pup this year, most get hit by cars, and this one is learning I'm a nice guy.

User avatar
stevepusser
Project Contributor
Project Contributor
Posts: 841
Joined: 2015-08-01, 18:33
Location: California

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by stevepusser » 2022-10-25, 00:15

Still no option to add Ubuntu 22.10 repositories on the OBS.
Avatar is my photo of a female coyote that is still in my neighborhood as of Oct 2022.
They know me, so I'm able to approach and get some nice photos. They have one
surviving pup this year, most get hit by cars, and this one is learning I'm a nice guy.

User avatar
_freedom
New to the forum
New to the forum
Posts: 2
Joined: 2022-10-18, 23:30

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by _freedom » 2022-10-25, 13:38

stevepusser wrote:
2022-10-21, 22:40
Try cleaning the apt cache as root or with sudo to see if that helps:
Thank you, it's all good now.

User avatar
stevepusser
Project Contributor
Project Contributor
Posts: 841
Joined: 2015-08-01, 18:33
Location: California

Re: Repositories for supported Debian, Raspbian, and Ubuntu releases

Unread post by stevepusser » 2022-10-31, 17:38

I still don't see any Ubuntu 22.10 repositories available when I try to add them.

As a interim workaround, I'm fairly certain that the GTK 3 22.04 version would be compatible, if anyone wants to try and report back.
Avatar is my photo of a female coyote that is still in my neighborhood as of Oct 2022.
They know me, so I'm able to approach and get some nice photos. They have one
surviving pup this year, most get hit by cars, and this one is learning I'm a nice guy.

Post Reply